# dfx-helper
Web-development / Typescript / Angular Library with tons of utility tools helping in all projects.

### Information
- [GitLab Link](https://gitlab.com/DatePoll/common/dfx-helper)
- [Development notes](#development)
- [Project website](https://datepoll.org)

### Useful classes:
* **Components**
  * `AbstractComponent`
* **Helper**
  * `ArrayHelper`
  * `BrowserHelper`
  * `ClipboradHelper`
  * `Converter`
  * `DateHelper`
  * `Generator`
  * `Logger` / `LoggerFactory`
  * `Stopwatch`
  * `StorageHelper`
  * `StringHelper`
  * `TypeHelper`
  * `UIHelper`
* **Entities**
  * `HasID` & `HasName`
  * `IEntity` & `IEntityWithName`
  * `AbstractEntity` & `AbstractEntityWithName`
  * **EntityServices**
    * `AbstractEntityService`
    * `AbstractSelectableEntityService`
* **Services**
  * `AbstractHttpService`
  * `IsMobileService`
* **Collections**
  * `List`
  * `EntityList`
  * `IList`

## Development
Everything important in this library is located in `projects/dfx-helper`, that's the "real" library. (following
commands still have to be executed at the root level)

#### Dependency installation
```bash
npm install
```

#### Building a production version
```bash
npm run-script build
```

#### Starting development environment (with automatic tests)
```bash
npm test
```

#### Generating a coverage report
```bash
npm run test:coverage
```

#### Starting the development environment (for direct use in another project)
```bash
npm run-script watch
```
