/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
import { Optional } from '@angular/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * To modify the labels and text displayed, create a new instance of MatSortHeaderIntl and
 * include it in a custom provider.
 */
export declare class NgbSortHeaderIntl {
    /**
     * Stream that emits whenever the labels here are changed. Use this to notify
     * components if the labels have changed after initialization.
     */
    readonly changes: Subject<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbSortHeaderIntl, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgbSortHeaderIntl>;
}
/** @docs-private */
export declare function NG_SORT_HEADER_INTL_PROVIDER_FACTORY(parentIntl: NgbSortHeaderIntl): NgbSortHeaderIntl;
/** @docs-private */
export declare const NGB_SORT_HEADER_INTL_PROVIDER: {
    provide: typeof NgbSortHeaderIntl;
    deps: Optional[][];
    useFactory: typeof NG_SORT_HEADER_INTL_PROVIDER_FACTORY;
};
