/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
import { CdkFooterRow, CdkFooterRowDef, CdkHeaderRow, CdkHeaderRowDef, CdkNoDataRow, CdkRow, CdkRowDef } from '@angular/cdk/table';
import * as i0 from "@angular/core";
/**
 * Header row definition for the mat-table.
 * Captures the header row's template and other header properties such as the columns to display.
 */
export declare class NgbHeaderRowDef extends CdkHeaderRowDef {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbHeaderRowDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbHeaderRowDef, "[ngbHeaderRowDef]", never, { "columns": "ngbHeaderRowDef"; }, {}, never>;
}
/**
 * Footer row definition for the mat-table.
 * Captures the footer row's template and other footer properties such as the columns to display.
 */
export declare class NgbFooterRowDef extends CdkFooterRowDef {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbFooterRowDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbFooterRowDef, "[ngbFooterRowDef]", never, { "columns": "ngbFooterRowDef"; }, {}, never>;
}
/**
 * Data row definition for the mat-table.
 * Captures the data row's template and other properties such as the columns to display and
 * a when predicate that describes when this row should be used.
 */
export declare class NgbRowDef<T> extends CdkRowDef<T> {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbRowDef<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbRowDef<any>, "[ngbRowDef]", never, { "columns": "ngbRowDefColumns"; "when": "ngbRowDefWhen"; }, {}, never>;
}
/** Header template container that contains the cell outlet. Adds the right class and role. */
export declare class NgbHeaderRow extends CdkHeaderRow {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbHeaderRow, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgbHeaderRow, "ngb-header-row, tr[ngb-header-row]", ["ngbHeaderRow"], {}, {}, never, never>;
}
/** Footer template container that contains the cell outlet. Adds the right class and role. */
export declare class NgbFooterRow extends CdkFooterRow {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbFooterRow, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgbFooterRow, "ngb-footer-row, tr[ngb-footer-row]", ["ngbFooterRow"], {}, {}, never, never>;
}
/** Data row template container that contains the cell outlet. Adds the right class and role. */
export declare class NgbRow extends CdkRow {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbRow, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgbRow, "ngb-row, tr[ngb-row]", ["ngbRow"], {}, {}, never, never>;
}
/** Row that can be used to display a message when no data is shown in the table. */
export declare class NgbNoDataRow extends CdkNoDataRow {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbNoDataRow, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbNoDataRow, "ng-template[ngbNoDataRow]", never, {}, {}, never>;
}
